Archive custom account
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/custom-accounts/{customAccountId}/archive \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/custom-accounts/{customAccountId}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/custom-accounts/{customAccountId}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "Custom_Account",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "ww9wwLgkrbU3jkg3J4J7ckBR3zKQV6sLPQevK",
"mask": "4321",
"account_name": "My custom account",
"institution_name": "My custom account institution",
"account_type": "DEPOSITORY",
"account_subtype": "checking",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"ledger_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"description": "<string>",
"meta": {}
}Custom Accounts
Archive custom account
Archives a custom account for a business. This action will prevent the account from syncing new transactions and will remove the account from the Layer dashboard. Previously imported transactions will remain. Archiving can be reversed with the reactivate endpoint.
POST
/
v1
/
businesses
/
{businessId}
/
custom-accounts
/
{customAccountId}
/
archive
Archive custom account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to archive custom account for.
The UUID of the custom account to archive.
Response
Show child attributes
Show child attributes
⌘I